#
# spec file for package perl-LWP-Curl
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-LWP-Curl
Version:        0.12
Release:        1.25
%define cpan_name LWP-Curl
Summary:        LWP methods implementation with Curl engine
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/LWP-Curl/
Source0:        http://www.cpan.org/authors/id/L/LO/LORN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(URI)
BuildRequires:  perl(WWW::Curl::Easy)
Requires:       perl(URI::Escape)
Requires:       perl(WWW::Curl::Easy)
# MANUAL END

%description
LWP::Curl provides an interface similar to the LWP library, but is built on
top of the Curl library. The simple LWP-style interface means you don't
have to know anything about the underlying library.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README upload.t

%changelog
* Thu Sep  3 2015 bwiedemann@suse.com
- drop obsolete LWP-Curl-0.09-get.t.patch
* Thu Sep  3 2015 coolo@suse.com
- updated to 0.12
  see /usr/share/doc/packages/perl-LWP-Curl/Changes
* Tue Sep 27 2011 lars@linux-schulserver.de
- initial package 0.09
- disabled check for local webserver (LWP-Curl-0.09-get.t.patch)
